<mat-toolbar color="primary" class="mat-elevation-z24">
  <mat-toolbar-row>
    <span>{{thirdFather?.info.fullname ? thirdFather?.info.fullname: 'Tienda 724'}}</span>
    <span class="example-spacer"></span>
    <span *ngIf="isMobileMenu()">

      <img mat-card-avatar *ngIf="thirdFather?.info.img" [src]="thirdFather.info.img">
      <span class="dropdown-toggle" data-toggle="dropdown">{{person?.first_name}} {{person?.first_lastname}}</span>
      <ul class="dropdown-menu">

        <mat-card class="bg-faded example-full-width">
          <h4 class="text-center">
            {{person?.info.fullname}}
          </h4>
          <p class="text-center">
            {{person?.info.type_document}}: {{person?.info.document_number}} {{ space}} UUID: {{person?.uuid.UUID}}

          </p>
          <h4 class="text-center">
            {{thirdFather?.info.fullname ? thirdFather?.info.fullname: 'Tienda 724'}}
          </h4>
          <h4 class="text-center">
            {{thirdFather?.info.type_document}}: {{thirdFather?.info.document_number}}
          </h4>

          <span class="text-center">
            <mat-icon>phone</mat-icon>
            {{thirdFather?.directory[0].phones[0].phone ? thirdFather?.directory[0].phones[0].phone :''}}
          </span>
          <br>
          <span class="text-center">
            <mat-icon>location_on</mat-icon>
            {{thirdFather?.directory[0].address ? thirdFather?.directory[0].address :''}}, {{thirdFather?.directory[0].city ? thirdFather?.directory[0].city
            :''}}
          </span>
          <br>
          <span class="text-center">
            <mat-icon class="text-center">email</mat-icon>
            {{thirdFather?.directory[0].mails[0].mail ? thirdFather?.directory[0].mails[0].mail :''}}
          </span>
          <br>


        </mat-card>
        <li>
          <a routerLink="/dashboard/user-profile"> Editar Perfil</a>
        </li>
      </ul>
    </span>

    

    <button mat-icon-button [matMenuTriggerFor]="menu">
      <mat-icon>more_vert</mat-icon>
    </button>

    <mat-menu #menu="matMenu">
      <button mat-menu-item [matMenuTriggerFor]="goto">
        <mat-icon>touch_app
        </mat-icon>
        <span>Ir a</span>
      </button>
      <button mat-menu-item [matMenuTriggerFor]="setings">
        <mat-icon>settings</mat-icon>
        <span>Configuración</span>
      </button>

      <button mat-menu-item *ngIf="!(token)" routerLink="/auth/login">
        <mat-icon>fingerprint</mat-icon>
        <span>Iniciar Sesión</span>
      </button>
      <button mat-menu-item *ngIf="(token)" (click)="logout()">
        <mat-icon>exit_to_app</mat-icon>
        <span>Cerrar Sesión</span>
      </button>

    </mat-menu>

    <mat-menu #setings="matMenu">
      <button mat-menu-item routerLink="/dashboard/user-profile">
        <mat-icon>account_circle</mat-icon>
        <span>Editar Perfil</span>
      </button>
      <button mat-menu-item disabled>
        <mat-icon>voicemail</mat-icon>
        <span>Ver Buzón</span>
      </button>
      <button mat-menu-item>
        <mat-icon>notifications_off</mat-icon>
        <span>Deshabilitar Alertas</span>
      </button>
    </mat-menu>

    <mat-menu #goto="matMenu">
      <button mat-menu-item routerLink="/">
        <mat-icon>home</mat-icon>
        <span>Inicio</span>
      </button>
      <button mat-menu-item routerLink="/dashboard/business">
        <mat-icon>dashboard</mat-icon>
        <span>DASHBOARD</span>
      </button>

    </mat-menu>

  </mat-toolbar-row>

</mat-toolbar>
<div class="container tky-top-buffer">
  <br>
  <div class="row example-full-width">

    <mat-card class="bg-faded example-full-width mat-elevation-z18">
      <h2 class="text-center">
          Bienvenid@!! <b>{{person?.info.fullname}}</b>
      </h2>
      <h3 class="text-center">
          <span class="text-center">
              <mat-icon>verified_user</mat-icon>
              {{person?.info.type_document}}: {{person?.info.document_number}}
            </span>
            <span class="text-center">
                <mat-icon>verified_user</mat-icon>
                UUID: {{person?.uuid.UUID}}
              </span>
         

      </h3>
      <h2 class="text-center">
        {{thirdFather?.info.fullname ? thirdFather?.info.fullname: 'Tienda 724'}}
      </h2>
      <h2 class="text-center">
        {{thirdFather?.info.type_document}}: {{thirdFather?.info.document_number}}
      </h2>
      <h3 class="text-center">
        <span class="text-center">
          <mat-icon>phone</mat-icon>
          {{thirdFather?.directory[0].phones[0].phone ? thirdFather?.directory[0].phones[0].phone :''}}
        </span>
        <br>
        <span class="text-center">
          <mat-icon>location_on</mat-icon>
          {{thirdFather?.directory[0].address ? thirdFather?.directory[0].address :''}}, {{thirdFather?.directory[0].city ? thirdFather?.directory[0].city
          :''}}
        </span>
        <br>
        <span class="text-center">
          <mat-icon class="text-center">email</mat-icon>
          {{thirdFather?.directory[0].mails[0].mail ? thirdFather?.directory[0].mails[0].mail :''}}
        </span>
      </h3>
      <br>
      <mat-card-footer align="end">
        <button mat-raised-button routerLink="/dashboard/user-profile" color="accent">Editar Perfil</button>

      </mat-card-footer>

    </mat-card>



  </div>
  <br>
  <div class="row tky-fill-width">

    <div class="col col-xs-12 col-md-6 col-lg-6">
      <mat-card [routerLink]="['/dashboard/business/']" class="mat-elevation-z16 bg-info courser">
        <h1 class="text-center">
          Tu Negocio Registrado es: <br>
          <b>{{thirdFather?.info.fullname ? thirdFather?.info.fullname: 'Tienda 724'}}</b>
        </h1>
      </mat-card>

    </div>
    <div class="col col-xs-12 col-md-6 col-lg-6">
      <mat-card [routerLink]="['/my']" class="mat-elevation-z16 bg-info courser">
        <h1>
          <b>Ofertas Y Pedidos</b>
        </h1>
      </mat-card>
    </div>
  </div>
</div>